tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Frank Even <lists+apache....@elitists.org>
Subject Re: tomcat errors starting after upgrade from cent5.3 to 5.5 (/rebuild-jar-repository: error: Could not find)
Date Mon, 27 Dec 2010 07:46:12 GMT
On Thu, Dec 23, 2010 at 1:06 PM, Caldarale, Charles R
<Chuck.Caldarale@unisys.com> wrote:
>> From: lists01@elitists.org [mailto:lists01@elitists.org] On Behalf Of Frank Even
>> Subject: tomcat errors starting after upgrade from cent5.3 to 5.5 (/rebuild-jar-repository:
error: Could not find)
>
>> Now that we've run the full update, we have this installed:
>
>> java-1.4.2-gcj-compat-1.4.2.0-40jpp.115
>
> Please, please remove the above.  It has no business being installed in any production
environment.
>
>> java-1.6.0-openjdk-1.6.0.0-1.16.b17.el5
>> java-1.6.0-openjdk-devel-1.6.0.0-1.16.b17.el5
>> java-sun-jdbc-stdext-2.0.1-1mamba
>> java-sun-jdbc-stdext-javadoc-2.0.1-1mamba
>
> Those are not standard Sun/Oracle Java packages, so you're at the mercy of whoever prepared
them.
>
>> tomcat5-5.5.23-0jpp.11.el5_5
>> tomcat5-common-lib-5.5.23-0jpp.11.el5_5
>> tomcat5-jasper-5.5.23-0jpp.11.el5_5
>> tomcat5-jsp-2.0-api-5.5.23-0jpp.11.el5_5
>> tomcat5-server-lib-5.5.23-0jpp.11.el5_5
>> tomcat5-servlet-2.4-api-5.5.23-0jpp.11.el5_5
>
> None of the above are standard Tomcat downloads - you have third-party repackaged versions
of Tomcat installed, and need to consult with the repackager for support.  Real Tomcat downloads
are available here:
>
> http://tomcat.apache.org/download-55.cgi
> http://tomcat.apache.org/download-60.cgi
> http://tomcat.apache.org/download-70.cgi
>
>> Starting tomcat5: /usr/bin/rebuild-jar-repository: error: Could not
>> find jdbc-stdext Java extension for this JVM
>> /usr/bin/rebuild-jar-repository: error: Could not find jndi Java
>> extension for this JVM
>> /usr/bin/rebuild-jar-repository: error: Some detected jars were not
>> found for this jvm
>> /usr/bin/rebuild-jar-repository: error: Could not find jaas Java
>> extension for this JVM
>> /usr/bin/rebuild-jar-repository: error: Some detected jars were not
>> found for this jvm
>
> None of the above error messages come from Tomcat itself.  What they do come from is
not clear.
>
>  - Chuck

All of this is out of CentOS repositories and I'm limited to sticking
with what is in the repositories.

If you have any guidance with what I am working with, it would be
greatly appreciated.  I do appreciate the input that you have given
though....does give me a couple ideas on hunting with what I have.

Thanks!

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@tomcat.apache.org
For additional commands, e-mail: users-help@tomcat.apache.org


Mime
View raw message